<?php

/* FIRESHOP: Advanced Content Market System                         */

/* ============================================                         */

/*                                                                      */

/* Copyright (c) 2012 by Mohamad Porhaji                                */

/* http://Firedesign.ir                                                   */

/*                                                                      */

/* This program is free software.  */

/************************************************************************/

/* $Id: check_contact.php,v 1.0.0.1 2012/02/18 By Mohamad Porhaji $ */
require_once("mainfile.php");
global $db;

$title_page_over="رهگيري تماس";
$page_title = "رهگيري تماس";

function content()
{
global $db;


if(isset($_POST['check_contact'])){

if(empty($_POST['contact_id'])
or empty($_POST['RashCMS']))
{
print('  پركردن همه ي فيلد ها الزامي است  <a href="javascript:history.go(-1)">بازگشت</a>');
}else{
$RashCMS = sql_quote(@$_POST['RashCMS']);
if( @$_SESSION['rash_secimg'] !== $RashCMS) {

        echo"كد امنيتي اشتباه است <a href='javascript:history.go(-1)'>بازگشت</a>";
        }else{
        $randcode =rand(1000,1000000000);
        $_SESSION['rash_secimg'] = $randcode;

$contact_id =$_POST['contact_id'];
$query = $db->sql_query("SELECT * FROM `fireshop_contact` WHERE time_stamp='$contact_id'") or die(mysql_error());
if($db->sql_numrows($query) == 0 ){
echo"چنين پيامي وجود ندارد";

}else{

$mydata = $db->sql_fetchrow($query);
$contact_name  	= $mydata['name'];
$contact_email  	= $mydata['email'];
$contact_des  	= $mydata['des'];
$contact_date 	= $mydata['date'];
$contact_ip	= $mydata['ip'];
$contact_tel	= $mydata['tel'];
$contact_id 	= $mydata['id'];
$contact_javab 	= $mydata['javab'];
$contact_title 	= $mydata['title'];
$contact_date_j 	= $mydata['date_j'];
$contact_read 	= $mydata['is_read'];
if($contact_tel==NULL){
$contact_tel="ندارد";}else{
$contact_tel= $mydata['tel'];}
if($contact_read>0){$contact_read="خوانده نشده";}else{$contact_read="خوانده شده";}
if($contact_javab==NULL){
$contact_javab_check="پاسخ داده نشده";
$contact_javab_huke="پاسخ داده نشده";}else{
$contact_javab_check="پاسخ داده شده";
$contact_javab_huke= $mydata['javab'];}
echo"
<div dir='rtl' align='right' style='padding:10px;'>
وضعيت : $contact_read | $contact_javab_check &nbsp;|&nbsp; نام فرستنده : $contact_name &nbsp;|&nbsp;
تاريخ ارسال : $contact_date  <br/><br/>
متن :  $contact_des  <br/><br/>
ايميل فرستنده :$contact_email  &nbsp;|&nbsp;
شماره تماس فرستنده : $contact_tel &nbsp;|&nbsp;
آي پي فرستنده : $contact_ip <br/><h2></h2>
پاسخ مدير : $contact_javab_huke | $contact_date_j
<br/><br/>
</div>";


}
}
}

}else{

echo"
<form action='check_contact.php' method='post'>
<table dir='rtl'>
<tr>
<td valign='top'>
كد رهگيري :&nbsp; &nbsp;  <br/><br/><br/>
كد امنيتي : 
</td>
<td valign='top'>
&nbsp; &nbsp; &nbsp; &nbsp; <input type='text' size='30' name='contact_id'/><br/><br/>
<img id='imagerash' border='0' src='img.php'>&nbsp; &nbsp; <input type='text' name='RashCMS' id='RashCMS' size='20'/><br/><br/>
<div align='left'><input type='submit' name='check_contact' value='ارسال' /></div><br/><br/>
</td>
</tr>
</table>
</form>
";

}

}
theme();
?>